TypeScript SDK
import { KaleidoClient } from 'kaleido-sdk';
const client = new KaleidoClient({
baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
});
const pairs = await client.listPairs();
console.log(`Found ${pairs.pairs.length} trading pairs`);import asyncio
from kaleido_sdk import KaleidoClient
async def main():
async with KaleidoClient(
api_url="https://api.staging.kaleidoswap.com/api/v1"
) as client:
pairs = await client.list_pairs()
print(f"Found {len(pairs.pairs)} trading pairs")
asyncio.run(main())curl --request GET \
--url https://api.signet.kaleidoswap.com/api/v1/market/pairs \
--header 'Authorization: Bearer <token>'
{
"pairs": [
{
"base_asset": "<string>",
"base_asset_id": "<string>",
"base_precision": 123,
"quote_asset": "<string>",
"quote_asset_id": "<string>",
"quote_precision": 123,
"is_active": true,
"min_base_order_size": 123,
"max_base_order_size": 123,
"min_quote_order_size": 123,
"max_quote_order_size": 123,
"id": "<string>"
}
]
}market
Get Trading Pairs
Retrieve all available trading pairs and their limits
GET
/
api
/
v1
/
market
/
pairs
TypeScript SDK
import { KaleidoClient } from 'kaleido-sdk';
const client = new KaleidoClient({
baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
});
const pairs = await client.listPairs();
console.log(`Found ${pairs.pairs.length} trading pairs`);import asyncio
from kaleido_sdk import KaleidoClient
async def main():
async with KaleidoClient(
api_url="https://api.staging.kaleidoswap.com/api/v1"
) as client:
pairs = await client.list_pairs()
print(f"Found {len(pairs.pairs)} trading pairs")
asyncio.run(main())Was this page helpful?
⌘I